%global momorel 1

Summary: Samba SMB client and server.
Name: samba

### include local configuration
%{?include_specopt}

## Configuration
%{?!with_ldapsam:	%global with_ldapsam	0}

Version: 3.0.7
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
URL: http://www.jp.samba.org/samba/samba.html
# and Samba Internationalization Project by miracle linux
# http://www.miraclelinux.com/technet/samba30/index.html

%NoSource 0 ftp://ftp.samba.gr.jp/pub/samba/%{name}-%{version}.tar.gz 5906341429e64214909865a4be92e4ab

Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: samba.sysconfig
Source5: smb.init
Source6: samba.pamd
Source7: smbprint
Source8: winbind.init

Patch16: samba-2.2.5-ppc.patch
Patch17: smbldap_tools.pm.patch
Patch19: samba-3.0.0beta1-pipedir.patch
Patch20: samba-3.0.0rc3-nmbd-netbiosname.patch
Patch22: samba-3.0.7-logfiles.patch

## Patches developed by Samba Internationalisation Project
Patch101: samba-3.0.6-hex.patch
Patch102: samba-3.0.7-struplower_m_i18n.patch
Patch103: samba-3.0.2a-nmblookup_i18n.patch
Patch104: samba-3.0.4-substitute_i18n.patch
Patch110: samba-3.0.4-swatstatus.patch
Patch111: samba-3.0.2a-smbldap-profile.patch
Patch112: samba-3.0.2a-smbldaptools-machine.patch
Patch113: samba-3.0.2a-smbldap-smbhomepath.patch
Patch114: samba-3.0.4-smbd-filename.patch
Requires: %{name}-common = %{version}
Requires: logrotate >= 3.4, openssl >= 0.9.6, gettext >= 0.10

BuildPrereq: openssl-devel >= 0.9.6
%if %{with_ldapsam}
BuildPreReq: openldap-devel >= 2.1.22-2m
%endif
BuildPrereq: pam-devel, perl
BuildPreReq: kernel-headers >= 2.4.13
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig mktemp psmisc fileutils sed %{name}-common = %{version}
Obsoletes: samba-ja, sambaJP

%description
Samba provides an SMB server which can be used to provide
network services to SMB (sometimes called "Lan Manager")
clients, including various versions of MS Windows, OS/2,
and other Linux machines. Samba also provides some SMB
clients, which complement the built-in SMB filesystem
in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame)
protocol.

Samba-2 features an almost working NT Domain Control
capability and includes the new SWAT (Samba Web Administration
Tool) that allows samba's smb.conf file to be remotely managed
using your favourite web browser. For the time being this is
being enabled on TCP port 901 via inetd or xinetd.

Please refer to the WHATSNEW.txt document for fixup information.
This binary release includes encrypted password support.
Please read the smb.conf file and ENCRYPTION.txt in the
docs directory for implementation details.

NOTE: Red Hat Linux 5.X Uses PAM which has integrated support
for Shadow passwords. Do NOT recompile with the SHADOW_PWD option
enabled. Red Hat Linux has built in support for quotas in PAM.
#'

%package client
Summary: Samba SMB client japanese edition
Group: Applications/Internet
Requires: %{name}-common = %{version}-%{release}
Obsoletes: samba-ja-client, sambaJP-client
Obsoletes: smbfs

%description client
Samba-client provides some SMB clients, which complement the
built-in SMB filesystem in Linux. These allow the accessing of
SMB shares, and printing to SMB printers.

%package common
Summary: Files used by both Samba servers and clients Japanese edition.
Group: Applications/System
Obsoletes: samba-ja-common, sambaJP-common

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package swat
Summary: The Samba SMB server configuration program.
Group: Applications/System
Requires: %{name} = %{version}-%{release}, xinetd

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.
#'

%prep
%setup -q -n samba-%{version}
cp %{SOURCE5} packaging/RedHat/
cp %{SOURCE6} packaging/RedHat/
cp %{SOURCE7} packaging/RedHat/
cp %{SOURCE8} packaging/RedHat/

%ifarch ppc
%patch16 -p1 -b .ppc
%endif

%if %{with_ldapsam}
%patch17 -p1 -b .ldap
mv examples/LDAP/smbldap-tools .
mkdir -p examples/LDAP/smbldap-tools/mkntpwd
pushd smbldap-tools
cp CONTRIBUTORS COPYING ChangeLog FILES \
  INFRASTRUCTURE INSTALL README TODO \
  ../examples/LDAP/smbldap-tools
mv cgi ../examples/LDAP/smbldap-tools
popd
%endif

%patch19 -p1 -b .pipedir
%patch20 -p1 -b .nmbd-netbiosname
exit
%patch22 -p1 -b .logfiles

%patch101 -p1 -b .hex
%patch102 -p1 -b .upperlower_m
%patch103 -p1
%patch104 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1

%build
pushd source
autoconf
#CPPFLAGS="-I/usr/include/openssl"; export CPPFLAGS
CFLAGS="%{optflags}"; export CFLAGS

%ifarch i686
# workaround  ( -march=i686 causes internal compiler error on gcc-3.2.3-12m)
CFLAGS="`echo $CFLAGS|sed -e 's,i686,i586,g'`"
%endif

# bug in 2.2.4
#perl -pi -e "s|-symbolic||" Makefile.in

%configure \
  --libdir=%{_libdir}/samba \
  --enable-cups \
  --with-fhs \
  --with-privatedir=%{_sysconfdir}/samba \
  --with-lockdir=/var/lock/samba \
  --with-swatdir=%{_datadir}/swat \
  --with-codepagedir=%{_sysconfdir}/samba/codepages \
  --with-smbwrapper \
  --with-automount \
  --with-smbmount \
  --with-pam \
  --with-pam_smbpass \
%if %{with_ldapsam}
  --with-ldapsam \
%endif
  --with-ssl \
  --with-syslog \
  --with-quotas \
  --with-utmp \
  --with-msdfs \
  --with-sendfile \
  --with-libsmbclient \
  --with-i18n-swat \
  --with-winbind \
  --with-winbind-auth-challenge \
%if %{with_ldapsam}
  --with-winbind-ldap-hack \
%endif
  --with-acl-support

make %{?_smp_mflags} CFLAGS="$CFLAGS -D_GNU_SOURCE" \
     proto

make %{?_smp_mflags} CFLAGS="$CFLAGS -D_GNU_SOURCE" \
     all libsmbclient smbfilter nsswitch/libnss_wins.so modules debug2html

( cd client ; gcc -o mount.cifs $RPM_OPT_FLAGS -Wall -O -D_GNU_SOURCE mount.cifs.c )

popd

# Build mkntpwd
%if %{with_ldapsam}
pushd smbldap-tools/mkntpwd
make OPTIMIZE="$CFLAGS"
popd
%endif

%install
rm -rf %{buildroot}

pushd source
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,logrotate.d}
mkdir -p %{buildroot}%{_sysconfdir}/samba/codepages/src
mkdir -p %{buildroot}%{_datadir}/swat/{images,help,include,using_samba}
# mkdir -p %{buildroot}%{_datadir}/swat/ja/{images,help,include}
mkdir -p %{buildroot}%{_datadir}/swat/using_samba/{figs,gifs}
# mkdir -p %{buildroot}%{_mandir}/{,ja}/{man1,man5,man7,man8}
mkdir -p %{buildroot}/var/{lock,log,spool,run}/samba

%makeinstall \
       BINDIR=%{buildroot}%{_bindir} \
       BASEDIR=%{buildroot}%{_prefix} \
       SBINDIR=%{buildroot}%{_sbindir} \
       DATADIR=%{buildroot}%{_datadir} \
       LOCKDIR=%{buildroot}/var/lock/samba \
       PRIVATEDIR=%{buildroot}%{_sysconfdir}/samba \
       LIBDIR=%{buildroot}%{_libdir}/samba \
       MANDIR=%{buildroot}%{_mandir} \
       VARDIR=%{buildroot}/var/log/samba \
       CODEPAGEDIR=%{buildroot}%{_sysconfdir}/samba/codepages \
       SWATDIR=%{buildroot}%{_datadir}/swat \
       SAMBABOOK=%{buildroot}%{_datadir}/swat/using_samba \

popd

# Install smbldap-tools
%if %{with_ldapsam}
perl_ver=`perl -e 'printf("%vd\n", $^V);'`
pushd smbldap-tools
mkdir -p %{buildroot}%{_libdir}/perl5/site_perl/${perl_ver}
install -m644 smbldap_tools.pm %{buildroot}%{_libdir}/perl5/site_perl/${perl_ver}
mkdir -p %{buildroot}%{_libdir}/smbldap-tools
for file in smbldap-*.pl; do
  install -m644 $file %{buildroot}%{_libdir}/smbldap-tools
done
mkdir -p %{buildroot}%{_sysconfdir}/samba
install -m644 smbldap_conf.pm %{buildroot}%{_sysconfdir}/samba
mkdir -p %{buildroot}%{_sbindir}
install -m555 mkntpwd/mkntpwd %{buildroot}%{_sbindir}
popd
%endif

# Install other stuff
install -m644 packaging/RedHat/smb.conf %{buildroot}/etc/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh %{buildroot}%{_bindir}
install -m644 packaging/RedHat/smbusers %{buildroot}%{_sysconfdir}/samba/smbusers
install -m755 packaging/RedHat/smbprint %{buildroot}%{_bindir}
install -m755 packaging/RedHat/smb.init %{buildroot}%{_initscriptdir}/smb
install -m755 packaging/RedHat/smb.init %{buildroot}%{_sbindir}/samba
install -m755 packaging/RedHat/winbind.init %{buildroot}%{_initscriptdir}/winbind
install -m644 packaging/RedHat/samba.pamd %{buildroot}/etc/pam.d/samba
install -m644 packaging/RedHat/samba.pamd.stack %{buildroot}/etc/pam.d/samba.stack
install -m644 $RPM_SOURCE_DIR/samba.log %{buildroot}/etc/logrotate.d/samba
ln -s ../%{_bindir}/smbmount %{buildroot}/sbin/mount.smb
ln -s ../%{_bindir}/smbmount %{buildroot}/sbin/mount.smbfs
echo 127.0.0.1 localhost > %{buildroot}/etc/samba/lmhosts
install -m755 source/client/mount.cifs %{buildroot}/sbin/mount.cifs

# pam_smbpass
mkdir -p %{buildroot}/lib/security
mv source/bin/pam_smbpass.so %{buildroot}/lib/security/pam_smbpass.so
cp -r source/pam_smbpass/ docs/
rm -f docs/pam_smbpass/*.*

# winbind
install -m 755 source/nsswitch/pam_winbind.so %{buildroot}/lib/security/pam_winbind.so
mkdir -p %{buildroot}/lib
install -m 755 source/nsswitch/libnss_winbind.so %{buildroot}/lib/libnss_winbind.so.2
install -m 755 source/nsswitch/libnss_wins.so %{buildroot}/lib/libnss_wins.so.2
ln -s /%{_lib}/libnss_wins.so.2  %{buildroot}/lib/libnss_wins.so
ln -s /%{_lib}/libnss_winbind.so.2 %{buildroot}/lib/libnss_winbind.so

mkdir -p %{buildroot}/etc/xinetd.d
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/swat

mkdir -p %{buildroot}/etc/X11/applnk/System
install %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/applnk/System/swat.desktop

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/samba

# remove this or it ends up in %doc
rm -rf docs/htmldocs

# chmod -x to avoid suspicious requirements
find docs -type f | xargs chmod -x

install -m 644 source/bin/libsmbclient.a %{buildroot}%{_libdir}/libsmbclient.a
install -m 755 source/bin/libsmbclient.so %{buildroot}%{_libdir}/libsmbclient.so

# remove
rm -f %{buildroot}/etc/pam.d/samba.stack
rm -f %{buildroot}%{_mandir}/man1/editreg.1*
rm -f %{buildroot}%{_mandir}/man1/log2pcap.1*
rm -f %{buildroot}%{_mandir}/man1/smbget.1*
rm -f %{buildroot}%{_mandir}/man1/smbsh.1*
rm -f %{buildroot}%{_mandir}/man1/vfstest.1*
rm -f %{buildroot}%{_libdir}/samba/libsmbclient.*

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add smb

%preun
if [ $1 = 0 ] ; then
	if [ -e /var/lock/subsys/smb ]; then
		%{_initscriptdir}/smb stop
	fi
	/sbin/chkconfig --del smb
	rm -rf /var/log/samba/* /var/lock/samba/*
fi

%postun
if [ "$1" -ge "1" ]; then
        %{_initscriptdir}/smb condrestart >/dev/null 2>&1
fi

%triggerpostun -- samba < samba-2.0.0
if [ $0 != 0 ]; then
    /sbin/chkconfig --add smb
fi

%files
%defattr(-,root,root)
%doc COPYING Manifest README
%doc WHATSNEW.txt Roadmap
%doc Read-Manifest-Now
%doc docs
%doc examples
%attr(0755,root,root) /lib/security/pam_smbpass.so
%attr(0750,root,root) %{_sbindir}/samba
%{_sbindir}/smbd
%{_sbindir}/nmbd
# %%{_bindir}/make_unicodemap
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbcontrol
%{_bindir}/smbstatus
# %%{_bindir}/smbadduser
# %%{_bindir}/convert_smbpasswd
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%config(noreplace) %{_sysconfdir}/samba/smbusers
%attr(0755,root,root) %config %{_initscriptdir}/smb
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
# %%{_mandir}/man1/make_unicodemap.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
# %%{_mandir}/ja/man1/make_unicodemap.1*
# %%{_mandir}/ja/man1/smbcontrol.1*
# %%{_mandir}/ja/man1/smbstatus.1*
# %%{_mandir}/ja/man7/samba.7*
# %%{_mandir}/ja/man8/smbd.8*
# %%{_mandir}/ja/man8/nmbd.8*
%dir /var/lock/samba
%dir /var/run/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(1777,root,root) %dir /var/spool/samba
%{_libdir}/samba/vfs

%files swat
%defattr(-,root,root)
%{_sysconfdir}/X11/applnk/System/swat.desktop
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
# %%{_mandir}/ja/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
/sbin/mount.smb
/sbin/mount.smbfs
/sbin/mount.cifs
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/smbmount
%{_bindir}/smbmnt
%{_bindir}/smbumount
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbumount.8*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/mount.cifs.8*
#%%{_mandir}/ja/man8/smbmnt.8*
#%%{_mandir}/ja/man8/smbmount.8*
#%%{_mandir}/ja/man8/smbumount.8*
#%%{_mandir}/ja/man8/smbspool.8*
%{_bindir}/nmblookup
%{_bindir}/findsmb
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/net
%{_bindir}/smbtree
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/net.8*
#%%{_mandir}/ja/man1/findsmb.1*
#%%{_mandir}/ja/man1/rpcclient.1*
#%%{_mandir}/ja/man1/smbcacls.1*
#%%{_mandir}/ja/man1/smbtar.1*
#%%{_mandir}/ja/man1/smbclient.1*
#%%{_mandir}/ja/man1/nmblookup.1*
#%%{_mandir}/ja/man1/smbsh.1*

%files common
%defattr(-,root,root)
/lib/libnss_wins.so
/lib/libnss_wins.so.2
/lib/libnss_winbind.so
/lib/libnss_winbind.so.2
/lib/security/pam_winbind.so
%{_libdir}/libsmbclient.a
%{_libdir}/libsmbclient.so
%{_libdir}/samba/charset/CP*.so
%{_includedir}/libsmbclient.h
#%%{_bindir}/make_smbcodepage
%{_bindir}/smbcquotas
%{_bindir}/profiles
%{_bindir}/ntlm_auth
%{_bindir}/testparm
%{_bindir}/testprns
%{_bindir}/smbpasswd
%{_bindir}/pdbedit
#%%{_bindir}/make_printerdef
%{_bindir}/wbinfo
%{_sbindir}/winbindd
%if %{with_ldapsam}
%config(noreplace) %{_sysconfdir}/samba/smbldap_conf.pm
%{_libdir}/smbldap-tools
%{_libdir}/perl5/site_perl/*/smbldap_tools.pm
%{_sbindir}/mkntpwd
%endif
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%dir %{_sysconfdir}/samba
%dir %{_sysconfdir}/samba/codepages
%{_initscriptdir}/winbind
%{_sysconfdir}/samba/codepages/*
#%%{_mandir}/man1/make_smbcodepage.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/testprns.1*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smbgetrc.5*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man8/winbindd.8*
#%%{_mandir}/ja/man1/make_smbcodepage.1*
#%%{_mandir}/ja/man1/testparm.1*
#%%{_mandir}/ja/man1/testprns.1*
#%%{_mandir}/ja/man5/smb.conf.5*
#%%{_mandir}/ja/man5/lmhosts.5*
#%%{_mandir}/ja/man5/smbpasswd.5*
#%%{_mandir}/ja/man8/smbpasswd.8*
#%%{_mandir}/ja/man8/pdbedit.8*
#%%{_mandir}/ja/man1/wbinfo.1*
#%%{_mandir}/ja/man8/winbindd.8*

%changelog
* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.7-1m)
- update to 3.0.7

* Fri Sep  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.6-1m)
- including security fixes

* Fri Jul 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-2m)
- add International Patch

* Fri Jul 30 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.5-1m)
- verion up (SECURITY FIX)
- See CAN-2004-0600 and CAN-2004-0686

* Tue May 11 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.4-1m)

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.2a-3m)
- revised spec for rpm 4.2.

* Sun Mar  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.2a-2m)
- generate i586 binary if target is i686 (-march=i686 causes internal compiler error on gcc-3.2.3-12m)

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2a-1m)

* Sun Feb 15 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.2-1m)
- Version 3.0.2
- added mount.cifs
- added /usr/bin/tdbdump
- removed testparm patch as it's already merged
- updated logfiles patch
- removed old patch files from repository

* Wed Jan  7 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-5m)
- add some binaries to "%%files common" section
  (smbcquotas, profiles, ntlm_auth and pdbedit)
- remove "%%makeinstall installclientlib" from %%install section
  because "make installclientlib" is included in "make install"

* Fri Jan  2 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-4m)
- fix mount option problem
  see http://www.samba.gr.jp/ml/article/sugj-tech/msg05996.html

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.0-3m)
- rebuild against openldap

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.0-2m)
- remove %%{with_gcc296} macros.
  It is not necessary any longer.(may be...)

* Tue Nov 4 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-1m)
- version 3.0.0
- remove old patches
- add samba-3.0.0-logfiles.patch (rawhide)
- add samba-3.0.0beta1-pipedir.patch (rawhide)
- add samba-3.0.0rc3-nmbd-netbiosname.patch (rawhide)
- add samba-3.0.0rc4-testparm.patch (rawhide)
- modify %%files section and %%install section

* Fri Jul 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-7m)
- update to beta7

* Wed Jul 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.8a-6m)
- include libsmbclient

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-5m)
- update to ja-1.1-beta6
- enable smbwrapper

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-4m)
- update to ja-1.1-beta5
- glab some man pages

* Mon Jul  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-3m)
- update to ja-1.1-beta4

* Thu Jun 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-2m)
- update to ja-1.1-beta3
- revise configure options

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-1m)
- update  to 2.2.8a release
- add %%{?_smp_mflags}

* Thu Apr 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.8a-0.1.2m)
- enable --with-ldapsam and install smbldap-tools when %%{with_ldapsam} == 1.

* Wed Apr  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.8a-0.1.1m)
  update to 2.2.8a-ja-1.0-alpha1

* Tue Apr  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.7a-3m)
- apply security patch from 2.2.8a

* Tue Mar 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.7a-2m)
- update  to 2.2.7a-ja-1.1
  [security]  This release includes secutiry update
  see http://www.samba.gr.jp/ml/samba-jp/htdocs/200303.month/14349.html
- use gcc-3.2.2 by default

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.7a-1m)
  rebuild against openssl 0.9.7a

* Sat Dec 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-5m)
- revise for ppc

* Fri Dec 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-4m)
- only samba-swat requires xinetd

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
-  include_specopt
-  use gcc-2.96 by default.
   if with_gcc296 is defined as 0, use gcc-3.2 instead.

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-2m)
- delete BuildPreReq: gcc2.95.3

* Thu Sep  5 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.5-1m)
- Version up to 2.2.5
- ja 1.0beta3
- samba-2.2.5-lprng.patch (fromrawhide)

* Mon Aug 12 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.4-1m)
- Ver. up
- *.pid is in /var/run/samba
- add samba-2.2.3-smbadduserloc.patch (from rawhide)
- add samba-2.2.4-logname.patch

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-6k)
- '%{initdir}' -> %{_initscriptdir}

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-4k)
- 'chmod -x' docs to avoid suspicious requirements

* Mon Apr 22 2002 Masahiro Takahata <takahata@kondara.org>
- (2.2.2-2k)
- upgrade to 2.2.2-ja-1.1
- separate swat package
- This spec file is rewritten so that
-      it might be based as much as possible on rawhide.

* Fri Nov 30 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-16k)
- update ja-1.2
- fix installing documents

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.10-14k)
- nigittenu

* Mon Nov  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-12k)
- add samba-2.0.10-kernel-2.4.13-fix.patch for building on kernel 2.4.3

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-10k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-8k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-6k)
- errased the process concerning with /etc/service

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Tue Sep 09 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-4k)
- update to samba-2.0.10-ja1.1

* Sat Jul  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-2k)
- update to samba-2.0.10-ja1.0
- disable samba-2.0.7-wildcard.patch

* Thu Jul  5 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.9-8k)
- fix privatedir path /etc to /etc/samba. (Jitterbug #905)

* Tue Jun 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-6k)
- fix path /bin/paswd to /usr/bin/passwd (samba-fixpath.patch)
- delete smbrun.1*

* Mon May 28 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-4k)
- update to samba-2.0.9-ja-1.0
- add BuildPrereq: pam-devel

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-2k)
- update to samba-2.0.9-ja-1.0beta1

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-38k)
- remove %triggerpre
- update samba-2.0.7-ja.2.2

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-36k)
- rebuild by gcc 2.95.3 :-P

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-34k)
- rebuild against openssl 0.9.6.

* Wed Feb  7 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-32k)
- update to samba-2.0.7-ja.2.2b4.
- bugfix %files section.

* Mon Feb  5 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-30k)
- add man-pages of smbumount.

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-29k)
- rebuild againt rpm-3.0.5-39k
- modified samba-fixinit.patch

* Thu Jan 26 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-27k)
- update to 2.0.7-ja-2.2b3.
- remove using-samba and using_samba from docdir.
- be selectable inetd or xinetd. (default is xinetd)
- use logfilename log.smb and log.nmb.
- change dirctory of codepages to /etc/samba/codepages.

* Mon Jan 08 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-25k)
- merge samba-ja to samba

* Fri Dec 01 2000 Kenichi Matsubara <m@kondara.org>
- package name change sambaJP to samba-ja.

* Mon Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- add samba-2.0.7-swat.patch including security fix.

* Mon Nov 04 2000 Toyokazu WATABE <toy2@kondara.org>
- update for 2.0.7_ja_2.1-1k
- use macros.

* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_2.0-1k

* Sun Sep 17 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_1.3-1k

* Tue Sep 05 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000904-1k

* Thu Aug 31 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000828-1k
- add samba-2.0.7-ja-cgi-security.patch
  (patch from samba-2.0.7-ja-1.2 to samba-2.0.7-ja-1.2a)
- adapt to FHS-2.1
- add /usr/sbin/tcpd to configuration of swat in inetd.conf.
- replace samba-2.0.3-fixinit.patch to samba-2.0.7-fixinit.patch

* Thu Aug 17 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-1k
- add Provides samba

* Sun Aug 14 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-0k (2.0.7-ja-1.3 beta release)

* Sun Aug 13 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000807-0k (2.0.7-ja-1.3 beta release)

* Sat Jul 8 2000 TAKAHASHI Motonobu <monyo@samba.gr.jp>
- Added smb-useradd and smb-userdel scripts
- Fixed some Japanese expression
- SWAT is invoked via tcp
- create STATUS..LCK during installation

* Fri Jul 7 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added Japanese manual pages

* Sun May 28 2000 AYUHANA Tomonori <l@kondara.org>
- Obsoletes: samba

* Sat May 27 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "HowToUseSamba" Document
- Update spec file Japanese description.

* Sat May 6 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "i18n SWAT"

* Mon Mar 13 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )
- locale chenged ja_JP.ujis -> ja_JP.eucJP

* Tue Feb  8 2000 Toru Hoshina <t@kondara.org>
- fix alpha problem.

* Tue Jan 25 2000 Takaaki Tabuchi <tab@kondara.org>
- tiny change Version , Source URL.

* Mon Jan 24 2000 Tenkou N. Hattori <tnh@kondara.org>
- kondarize.

*Mon Jan 10 2000 kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J) without smbsh

*Mon Jan 10 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Laser5 Linux 6.0

*Fri Jan 07 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J)

*Mon Nov 12 1999 Motonobu Takahashi <monyo@samba.gr.jp>
- ܸ춦ͭ̾ݡ

*Mon Sep 20 1999 Koji Odagiri <odagiri@samba.gr.jp>
- SWATܸ첽

*Mon Sep 20 1999 Satoshi Osawa <osawa@po.fes.co.jp>
- SPECܸʬɲ

* Sun Jul 24 1999 Hideya Hane <Vine@flatout.org>
- rebuild for Vine Linux 1.1

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map
